#### Previous topic

scipy.special.mathieu_even_coef

#### Next topic

scipy.special.mathieu_cem

# scipy.special.mathieu_odd_coef

`scipy.special.``mathieu_odd_coef`(m, q)

  Fourier coefficients for even Mathieu and modified Mathieu functions.

  The Fourier series of the odd solutions of the Mathieu differential equation are of the form

  \[\mathrm{se}_{2n+1}(z, q) = \sum_{k=0}^{\infty} B_{(2n+1)}^{(2k+1)} \sin (2k+1)z\]
  \[\mathrm{se}_{2n+2}(z, q) = \sum_{k=0}^{\infty} B_{(2n+2)}^{(2k+2)} \sin (2k+2)z\]

  This function returns the coefficients \(B_{(2n+2)}^{(2k+2)}\) for even input m=2n+2, and the coefficients \(B_{(2n+1)}^{(2k+1)}\) for odd input m=2n+1.

  Parameters:

  m : int

  > Order of Mathieu functions. Must be non-negative.

  q : float (>=0)

  > Parameter of Mathieu functions. Must be non-negative.

  Returns:

  Bk : ndarray

  > Even or odd Fourier coefficients, corresponding to even or odd m.

  References

  [R465] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. http://jin.ece.illinois.edu/specfunc.html